## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ivaria/ode.h File Reference

ODE-specific interfaces. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes

struct | iODEAMotorJoint
| ODE AMotor joint. More...
struct | iODEBallJoint
| ODE ball and socket joint (contrainted translation and free rotation). More...
struct | iODEDynamicState
| This class exposes parameters specific to odedynam as an implementation of iDynamics. More...
struct | iODEDynamicSystemState
| This class exposes parameters specific to odedynam as an implementation of iDynamics. More...
struct | iODEFrameUpdateCallback
| This class can be passed in as a callback during the physics update it is only called if FrameRate is enabled. More...
struct | iODEGeneralJointState
| General joint state. More...
struct | iODEHinge2Joint
| ODE hinge 2 joint. More...
struct | iODEHingeJoint
| ODE hinge joint (contrainted translation and 1 free rotation axis). More...
struct | iODEJointState
| General joint state. More...
struct | iODESliderJoint
struct | iODEUniversalJoint
| A universal joint is like a ball and socket joint that constrains an extra degree of rotational freedom. More...

## Enumerations

enum | ODEAMotorMode
enum | ODEJointType
| TODO: Doc. More...

## Detailed Description

ODE-specific interfaces.

Definition in file ode.h.

## Enumeration Type Documentation

enum ODEJointType

| TODO: Doc. .. @@ Document me Definition at line 310 of file ode.h.